Name:           nde-systemsettings
Summary:        nde systemsettings
Version:        0.0.1
Release:        101%{?dist}
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xcursor)
BuildRequires: xorg-x11-drv-libinput-devel
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(kscreen2)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(nde) >= 0.0.1
BuildRequires: pkgconfig(nde-globalkeys)
BuildRequires: pkgconfig(sysstat-qt5)
BuildRequires: cmake(Qt5LinguistTools)
BuildRequires: kf5-networkmanager-qt-devel
BuildRequires: kf5-kdbusaddons-devel
BuildRequires: kf5-kwindowsystem-devel >= 5.5.0
BuildRequires: nde-lib-devel
BuildRequires: nde-qtxdg-devel
BuildRequires: nde-widget
BuildRequires: libstatgrab-devel
BuildRequires: libfm-qt-devel
BuildRequires: glib2-devel
BuildRequires: libexif-devel
BuildRequires: fcitx-devel
BuildRequires: cmake(KF5Auth)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: pulseaudio-libs-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-solid-devel >= 5.5
BuildRequires: libuuid-devel

Requires: nde-lib
Requires: nde-qtxdg
Requires: nde-widget
Requires: kf5-networkmanager-qt
Requires: kf5-kwindowsystem
Requires: libstatgrab
Requires: timedatex

%description
%{summary}.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} \
    -DPULL_TRANSLATIONS=NO \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}
%post
systemctl enable systemsettings.service
systemctl start systemsettings.service
chmod +x /usr/bin/parse_sn

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang nde-systemsettings --with-qt
%find_lang systeminfo --with-qt
%find_lang screen --with-qt
%find_lang cablenetwork --with-qt
%find_lang wlan --with-qt
%find_lang printer --with-qt

%files -f nde-systemsettings.lang -f screen.lang -f systeminfo.lang -f cablenetwork.lang -f wlan.lang -f printer.lang

%{_bindir}/nde-systemsettings
%{_bindir}/systemsettings
%{_bindir}/nde-systemsettings-autostart
%{_libdir}/nde-systemsettings/*.so
%{_datadir}/applications/nde-systemsettings.desktop
%{_datadir}/nde/nde-systemsettings/*.desktop
%dir %{_datadir}/nde/translations/nde-systemsettings
/usr/share/polkit-1/actions/org.nde.systemsettings.policy
/etc/nde/nde-systemsettings.conf
/etc/license/*.lic
%{_sysconfdir}//dbus-1/system.d/com.nde.systemsettings.conf
/usr/lib/systemd/system/systemsettings.service
/usr/bin/parse_sn

%changelog
* Mon Mar 01 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-101
- 在输入框提示错误之后，放大或者缩小控制中心界面，提示框位置错误(#3371)

* Fri Feb 26 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-100
- 系统更新流程优化

* Thu Feb 25 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-99
- 用户模块添加设置本地头像功能

* Thu Feb 25 2021 lei.bao <lei.bao@gd-linux.cn> - 0.0.1-98
- 修复壁纸模块设置带特殊字符名字图片为壁纸时失败问题

* Wed Feb 24 2021 lei.bao <lei.bao@gd-linux.cn> - 0.0.1-95
- 修改壁纸模块系统默认壁纸读取路径

* Tue Feb 23 2021 lei.bao <lei.bao@gd-linux.cn> - 0.0.1-94
- 添加壁纸设置模块

* Mon Feb 22 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-92
- 修改应用显示名称，开始菜单不显示

* Sun Feb 07 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-91
- 修复崩溃问题。

* Wed Feb 03 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-89
- 用户模块添加设置头像功能

* Wed Feb 03 2021 lei.bao <lei.bao@gd-linux.cn> - 0.0.1-88
- 解决时间模块在修改时间时不能使用滚轮问题

* Fri Jan 29 2021 lei bao <lei.bao@zte.com.cn> - 0.0.1-87
- 修复控制中心进入任意模块子界面，再点击其他模块之后回来后仍处于子界面问题
- 修复用户模块bug
- 暂时屏蔽搜索功能，该功能暂未实现

* Thu Jan 28 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-86
- 修改用户中心是否弹框鉴权问题

* Thu Jan 28 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-85
- 修复更新模块问题，zte版本添加隐藏系统更新代码

* Thu Jan 28 2021 lei.bao <lei.bao@zte.com.cn>- 0.0.1-84
- 修改控制中心模块显示默认配置

* Wed Jan 27 2021 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-83
- 修复链接蓝牙时控制中心闪退问题

* Wed Jan 27 2021 lei.bao <lei.bao@zte.com.cn>- 0.0.1-82
- 添加控制中心模块筛选配置功能

* Mon Jan 25 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-79
- 屏蔽ZTE版本用户模块的功能

* Mon Jan 25 2021 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-78
- 添加声卡配置功能

* Fri Jan 22 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-77
- 添加用户模块自动登录功能、修复bug(#3260)

* Thu Jan 21 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-76
- 增加更新日志显示

* Mon Jan 18 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-74
- 修改用户模块鉴权方式

* Thu Jan 14 2021 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-73
- 修复控制中心音量大小不能鼠标点击改变的问题

* Thu Jan 14 2021 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-72
- 修复输入法没有打开时不能打开控制中心的问题

* Tue Jan 12 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-71
- 修复小分辨率模式下，控制中心重新打开后显示不全的问题
- 修复显示设置中屏幕像素设置有误差的问题

* Tue Jan 12 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-70
- 修复小分辨率模式下，显示不全的问题

* Mon Jan 11 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-69
- 修复无法删除用户目录问题(#3232)

* Fri Jan 08 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-68
- 修复控制中心左侧菜单栏滚动问题
- 修复用户名可以修改为关键字问题
- 屏蔽用户模块自动登录功能

* Fri Jan 08 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-67
- 用户模块添加用户名过滤的关键字、屏蔽当前用户密码修改功能、密码设置不能有空格

* Thu Jan 07 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-66
- 修复控制中心用户模块bug

* Wed Jan 06 2021 lei.bao <lei.bao@zte.com.cn>- 0.0.1-65
- 修改开机启动界面字体样式
- 屏蔽某些系统开机自启动项
- 获取开机启动项的对应图标，如果没有则显示默认图标。

* Tue Jan 05 2021 lei.bao <lei.bao@zte.com.cn>- 0.0.1-64
- 添加开机自启动模块

* Mon Jan 04 2021 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-63
- 添加音频输出设置功能

* Mon Jan 4 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-62
- 添加了系统更新功能

* Thu Dec 31 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-61
- 修改时间日期授权接口访问
- 左侧栏样式
- 时区模块卡顿问题

* Thu Dec 31 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-60
- 添加了系统更新功能

* Thu Dec 24 2020 Wu Shangmin <wu.shangmin.com.cn> - 0.0.1-57
- 云桌面用户模块不可修改域用户信息

* Wed Dec 23 2020 Wu Shangmin <wu.shangmin.com.cn> - 0.0.1-56
- 修复用户模块添加、删除用户时列表不更新问题

* Tue Dec 22 2020 lei.bao <lei.bao@zte.com.cn>- 0.0.1-55
- 修复默认应用模块bug

* Tue Dec 22 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-54
- 修改锁屏程序、添加隐藏配置

* Tue Dec 22 2020 Wu Shangmin <wu.shangmin.com.cn> - 0.0.1-53
- 调整用户模块界面样式

* Mon Dec 21 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-52
- 修改默认打开程序

* Mon Dec 21 2020 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-51
- 固定输入法列表大小

* Thu Dec 17 2020 Wu Shangmin <wu.shangmin.com.cn> - 0.0.1-50
- 用户模块：添加、删除、编辑用户功能(1177, 1178, 1179)

* Wed Dec 16 2020 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-49
- 增加添加输入法功能

* Wed Dec 16 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-48
- 添加主题模块，修改入口排序、时间日期样式

* Mon Dec 14 2020 lei bao <lei.bao@zte.com.cn>- 0.0.1-46
- 调整默认应用界面控件样式

* Mon Dec 14 2020 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-45
- 优化输入法删除问题

* Mon Dec 14 2020 Wu Shangmin <wu.shangmin.com.cn> - 0.0.1-44
- 用户模块：汉化界面，调整界面样式，屏蔽未实现接口

* Sun Dec 13 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-43
- 修改其它模块入口方式

* Fri Dec 11 2020 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-42
- 优化输入法模块的UI

* Fri Dec 11 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-41
- 添加控制中心入口修改

* Fri Dec 11 2020 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-40
- 添加输入法删除功能

* Wed Dec 9 2020 Wu Shangmin <wu.shangmin.com.cn> - 0.0.1-39
- 添加用户模块

* Wed Dec 9 2020 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-38
- 添加输入法显示功能

* Tue Dec 8 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-37
- 添加nde-policykit依赖

* Tue Dec 8 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-36
- 添加了--module运行时参数，指定优先显示的模块

* Tue Dec 8 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-35
- 修复切换按钮连续切换选择错误的问题

* Tue Dec 8 2020 lei bao <lei.bao@zte.com.cn>- 0.0.1-34
- 修复doc、docx等格式设置默认打开程序无法生效问题

* Tue Dec 8 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-33
- 修改鉴权弹窗问题

* Mon Dec 7 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-32
- 修改时区布局

* Fri Dec 4 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-31
- 修改占用资源的问题

* Fri Dec 4 2020 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-30
- 修改语言与地区模块的翻译

* Fri Dec 4 2020 lei bao <lei.bao@zte.com.cn>- 0.0.1-29
- 修改默认应用模块控件样式

* Fri Dec 4 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-28
- 修改设置时区密码错误依然选中的问题
- 界面滚动条显示问题

* Fri Dec 4 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-27
- 修改进入时区设置按钮
- 时间设置界面修改12、24小时制不生效问题

* Thu Dec 3 2020 lei bao <lei.bao@zte.com.cn>- 0.0.1-26
- 修复默认应用程序模块bug

* Thu Dec 3 2020 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-25
- 在语言与地区模块添加应用按钮

* Wed Dec 2 2020 lei bao <lei.bao@zte.com.cn>- 0.0.1-24
- 添加默认应用程序模块

* Wed Dec 2 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-23
- zte版本禁用显示设置

* Wed Dec 2 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-22
- 修改时间日期设置界面

* Mon Nov 30 2020 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-21
- 解决QLocal.name有重名的问题导致语言与地区页面会有多个勾选

* Mon Nov 30 2020 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-20
- 在语言与地区设置页面增加数字和度量衡显示

* Sat Nov 28 2020 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-19
- 修改UI界面的翻译
- 修改desktop文件的默认显示名称和默认提示
- 修改语言与地区的点击范围

* Tue Nov 24 2020 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-18
- 添加字体库依赖包

* Wed Nov 18 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-17
- 添加24小时制设定
- 时间设置确认按钮

* Tue Nov 17 2020 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-16
- 修复第一次启动控制中心时语言与地区显示为空的问题

* Mon Nov 16 2020 zhou tuan <zhou.tuan@zte.com.cn>- 0.0.1-15
- 语言与地区界面返回之前清空搜索框

* Mon Nov 16 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-14
- 修改时间设置依赖、刷新显示时间设置

* Fri Nov 13 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-13
- 添加手动设置时区、时间

* Tue Nov 10 2020 Zhou Tuan <zhou.tuan@zte.com.cn>- 0.0.1-12
- 修改系统语言之后发送信息至通知中心

* Mon Nov 09 2020 Zhou Tuan <zhou.tuan@zte.com.cn>- 0.0.1-11
- 增加语言与地区的搜索功能以及修改UI间距

* Wed Nov 04 2020 Zhou Tuan <zhou.tuan@zte.com.cn>- 0.0.1-9
- 完善语言与地区功能

* Tue Oct 20 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-8
- 代理设置前缀隐藏

* Tue Oct 20 2020 Zhou Tuan <zhou.tuan@zte.com.cn>- 0.0.1-7
- 添加语言与输入模块

* Mon Oct 19 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-6
- 添加时间设置模块

* Fri Oct 9 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-5
- 右侧详细设置界面添加滚动条

* Tue Sep 29 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-4
- 修改默认代理配置

* Tue Sep 29 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-3
- 代理设置界面优化

* Mon Sep 28 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-2
- 添加代理设置模块

* Mon Sep 21 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-1
- init
